Get app config
curl --request GET \
--url https://api.avidoai.com/v0/app-config \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/app-config"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/app-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"firecrawlEnabled": true,
"ocrEnabled": true,
"askAdaEnabled": true,
"craEvidencePackEnabled": false,
"chatbotPlaygroundEnabled": false,
"sotaModelEnabled": true,
"posthog": {
"host": "https://api.avidoai.com/posthog",
"key": "phc_123",
"cloudIdentifier": "avido-prod"
}
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}App Config
Get app config
Returns public feature flags the dashboard needs to render correctly (e.g., whether the web scraper is enabled).
GET
/
v0
/
app-config
Get app config
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Optional application slug used to evaluate app config feature flags with application group context when no application ID header is available.
Required string length:
1 - 256Example:
"customer-support-bot"
Response
Successfully retrieved app config
Successful response containing the app config.
Public runtime configuration for the dashboard frontend.
Show child attributes
Show child attributes
⌘I